Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.auth
Interface Destroyable

All Known Implementing Classes:
  KerberosKey, KerberosTicket, X500PrivateCredential

public interface Destroyable

Objects such as credentials may optionally implement this interface to provide the capability to destroy its contents.

See Also:
  `Subject`

Method Summary
`void` | `destroy()` Destroy this `Object`.
`boolean` | `isDestroyed()` Determine if this `Object` has been destroyed.

Method Detail

### destroy

    public void destroy()
                 throws DestroyFailedException

  Destroy this `Object`.

  Sensitive information associated with this `Object` is destroyed or cleared. Subsequent calls to certain methods on this `Object` will result in an `IllegalStateException` being thrown.

  Throws:
    `DestroyFailedException` - if the destroy operation fails.

    `SecurityException` - if the caller does not have permission to destroy this `Object`.

### isDestroyed

    public boolean isDestroyed()

  Determine if this `Object` has been destroyed.

  Returns:
    true if this `Object` has been destroyed, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.